# $Revision: 1.6 $, $Date: 2004/08/07 17:08:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	Dumpvar
Summary:	Devel::Dumpvar - a pure-OO reimplementation of dumpvar.pl
Summary(pl):	Devel::Dumpvar - czysto obiektowo zorientowana reimplementacja dumpvar.pl
Name:		perl-Devel-Dumpvar
Version:	0.02
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a9e65d920b1f6414e38a0cf2613cce48
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Most Perl dumping modules are focused on serializing data structures
into a format that can be rebuilt into the original data structure.
They do this with a variety of different focuses, such as human
readability, the ability to execute the dumped code directly, or to
minimize the size of the dumped data.

Expect for the one contained in the debugger, in the file dumpvar.pl.
This is a readily human-readable form, highly useful for debugging,
containing a lot of extra information without the burden of needing to
be re-assembled into the original data.

Devel::Dumpvar is a pure object-orientated implementation of the same
functionality made as a module. This makes it much more usable version
to use for dumping information to debug log files or other uses where
you don't need to reassemble the data.

%description -l pl
Wikszo perlowych moduw wykonujcych zrzuty skupia si na
serializacji struktur danych do formatu, z ktrego mona zbudowa
oryginaln struktur danych. Robi to skupiajc si na wielu rnych
zastosowaniach, takich jak czytelno dla czowieka, moliwo
bezporedniego wykonania wyprodukowanego kodu lub zminimalizowaniu
rozmiaru zrzuconych danych.

Jeden fragment kodu jest wyjtkiem, zawarty jest w debuggerze, w pliku
dumpvar.pl. Daje atwo czyteln dla czowieka posta danych, bardzo
przydatn przy odpluskwianiu, zawierajc wiele dodatkowych informacji
nie obcionych potrzeb ponownego skadania oryginalnych danych.

Devel::Dumpvar jest czysto obiektowo zorientowan implementacj tej
samej funkcjonalnoci wykonan jako modu Perla. Czyni to go duo
bardziej uyteczn wersj do zrzucania informacji do debugowych plikw
logw lub innych zastosowa gdzie nie trzeba ponownie skada danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Devel/Dumpvar.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-Dumpvar.spec,v $
Revision 1.6  2004/08/07 17:08:27  adamg
- updated to 0.02

Revision 1.5  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.4  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.3  2004/04/20 10:45:25  ankry
- license fixes/unufication

Revision 1.2  2004/04/11 23:29:01  qboosh
- longer desc, pl
- don't include LICENSE file (we have Artistic and GPL texts in common-licenses)

Revision 1.1  2004/04/11 09:30:44  agaran
 - initial pld spec
